/*
 *    FBFS Distributed Object Repository
 *    Copyright (C) 2001 Francesco V. Bassi
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "../Prefs.h"

main(int argc, char** argv) {
	utils::Prefs p(argc, argv, "test3.cfg");

	cout << "argv[] = [ ";
	for(int i=0; i<argc; i++)
		cout << argv[i] << " ";
	cout << "]\n";

	cout << "Pippo: " << p.get("Pippo") << endl;
	cout << "pippo: " << p.get("pippo") << endl;
	cout << "Seneca: " << p.get("Seneca", "errore") << endl;
	cout << "non c': " << p.get("NonCe", "infatti") << endl;
}
